Overview | Package | Class | Deprecated | Index | Help
| Griffon 0.9.5-rc2
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.griffon.runtime.core
[Java] Class ModelArtifactHandler

    java.lang.Object
      org.codehaus.griffon.runtime.core.ArtifactHandlerAdapter
          org.codehaus.griffon.runtime.core.ModelArtifactHandler

    public class ModelArtifactHandler
    extends ArtifactHandlerAdapter

Handler for 'Model' artifacts.

Authors:
  Andres Almiray

Field Summary

Fields inherited from class ArtifactHandlerAdapter
app, artifacts, classes, classesByName, trailing, type

Constructor Summary
`ModelArtifactHandler(GriffonApplication app)`

Method Summary
`protected GriffonClass` | `newGriffonClassInstance(Class clazz)`

Methods inherited from class ArtifactHandlerAdapter
findClassFor, getApp, getArtifacts, getClassFor, getClassFor, getClasses, getClassesByName, getTrailing, getType, initialize, isArtifact, isArtifact, newGriffonClassInstance

Methods inherited from class Object
wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll

Constructor Detail

### ModelArtifactHandler

    public ModelArtifactHandler(GriffonApplication app)

Method Detail

### newGriffonClassInstance

    protected GriffonClass newGriffonClassInstance(Class clazz)

Groovy Documentation